Subject: [bug#56604] [PATCH 0/8] Update Clojure to 1.11.1.

From: Roman Scherer <[email-masked]>
Date: Fri, 02 Sep 2022 10:12:38 +0000

Hi Maxime,

I just rebuilt the world again (to be sure it works), but will give this
a try the next time. Thanks for the tip!

Roman

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 01-09-2022 11:09, Ludovic Courtès wrote:
>
>  I guess this is expected, since a change in a build system might affect
> all packages being built with it. But I was wondering if there is a way
> to force only building the packages specified on the command line. Does
> such a thing exists?
>
> No, it doesn’t exist, because that would be building something
> different.  In this case, building everything that depends on
> ‘ant-build-system.scm’ is unavoidable.
>
>  I was wondering what is the most efficient way to quickly iterate on
> changes to a build system, without recompiling the whole world for that
> build system. How would you do that?
>
> There’s no ideal solution as you’ll have to recompile the world anyway.
>
> It is possible, actually, to test it for a single package first (although without interaction with the command line). In the
> package you would like to test things with, use '=>' in #:imported-modules:
>
> ((this module)
>  ((that module) => (local-file "customised-that-module.scm")))
>
> and keep the original that/module.scm unmodified.
>
> At least, something like that is done in 'build-program' in build-aux/build-self.scm -- I haven't tried it out for something
> like this myself.
>
> Greetings,
> Maxime
>
> [4. OpenPGP public key --- application/pgp-keys; OpenPGP_0x49E3EE22191725EE.asc]...
>
> [[End of PGP Signed Part]]